#include <stdio.h>
#include <stdlib.h>

typedef struct evento {
	char tipo;
	int id;
	int tempo;
	struct evento *next;
} Evento;

typedef struct carro {
	int id;
	int partida;
	int chegada;
	struct carro *next;
} Carro;

int main(void) {
	char tipo_lido;
	int id_lido;
	int tempo_lido;
	Evento *lista_eventos_ptr=NULL;
	Evento *novo_evento_ptr;
	Carro *lista_carros_ptr=NULL;
	Carro *novo_carro_ptr;
	int counter,acumulador;

	while(scanf(" %c %d %d \n ", &tipo_lido, &id_lido, &tempo_lido)==3) {
		novo_evento_ptr = (Evento *) malloc(sizeof(Evento));
		novo_evento_ptr->tipo=tipo_lido;
		novo_evento_ptr->id=id_lido;
		novo_evento_ptr->tempo=tempo_lido;
		novo_evento_ptr->next=lista_eventos_ptr;
		lista_eventos_ptr=novo_evento_ptr;
	}

	novo_evento_ptr = lista_eventos_ptr;

	while(novo_evento_ptr != NULL) {
		// Ver se existe carro
		novo_carro_ptr=lista_carros_ptr;
		while(novo_carro_ptr != NULL) {
			if (novo_carro_ptr->id == novo_evento_ptr->id)
				break;
			novo_carro_ptr = novo_carro_ptr->next;
		}
		if (novo_carro_ptr == NULL) {
			novo_carro_ptr = (Carro *) malloc(sizeof(Carro));
                	novo_carro_ptr->id=novo_evento_ptr->id;
			novo_carro_ptr->partida=-1;
			novo_carro_ptr->chegada=-1;
                	novo_carro_ptr->next=lista_carros_ptr;
                	lista_carros_ptr=novo_carro_ptr;
		}
		if (novo_evento_ptr->tipo=='P')
			novo_carro_ptr->partida=novo_evento_ptr->tempo;
		else
			novo_carro_ptr->chegada=novo_evento_ptr->tempo;
		novo_evento_ptr = novo_evento_ptr->next;
	}

	counter=0;
	acumulador=0;
	novo_carro_ptr=lista_carros_ptr;
        while(novo_carro_ptr != NULL) {
                if ((novo_carro_ptr->partida !=-1)&&(novo_carro_ptr->chegada !=-1)) {
			acumulador += novo_carro_ptr->chegada - novo_carro_ptr->partida;
			counter++;
		}                              
           	novo_carro_ptr = novo_carro_ptr->next;
       	}

	printf("%d\n", acumulador/counter);

	return 0;
}

