#include <stdio.h>
#include <stdlib.h>

typedef struct evento {
	char tipo;
	int id;
	int tempo;
	struct evento *next;
} Evento;

typedef struct carro {
	int id;
	int partida;
	int chegada;
	struct carro *next;
} Carro;

int main(void) {
	char tipo_lido;
	int id_lido, tempo_lido;
	Evento *lista_eventos_ptr=NULL;
	Evento *evento_ptr;
	Carro *lista_carros_ptr=NULL;
	Carro *carro_ptr;
	Carro *lista_ord_ptr=NULL;
	Carro *carro_ord_ptr;	
	Carro *carro_aux_ptr;
	int counter,tempo,tempo_ord;

	while (scanf(" %c %d %d \n",&tipo_lido,&id_lido,&tempo_lido)==3)
	{
		evento_ptr=(Evento*)malloc(sizeof(Evento));
		evento_ptr->tipo = tipo_lido;
		evento_ptr->id=id_lido;
		evento_ptr->tempo=tempo_lido;
		evento_ptr->next=lista_eventos_ptr;
		lista_eventos_ptr=evento_ptr;
	}

	evento_ptr=lista_eventos_ptr;
	while(evento_ptr!=NULL) {
		carro_ptr=lista_carros_ptr;
		while(carro_ptr!=NULL) {
			if (evento_ptr->id == carro_ptr->id)
				break;
			carro_ptr=carro_ptr->next;
		}
		if (carro_ptr==NULL) {
			carro_ptr=(Carro*)malloc(sizeof(Carro));
			carro_ptr->id=evento_ptr->id;
			if (evento_ptr->tipo=='P') { 
				carro_ptr->partida=evento_ptr->tempo;
				carro_ptr->chegada=-1;
			}
			else {
				carro_ptr->chegada=evento_ptr->tempo;
                                carro_ptr->partida=-1;
			}
			carro_ptr->next=lista_carros_ptr;
			lista_carros_ptr=carro_ptr;	
		}
		else {
			if (evento_ptr->tipo=='P') {
                                carro_ptr->partida=evento_ptr->tempo;
                        }
                        else {
                                carro_ptr->chegada=evento_ptr->tempo;
                        }
		}
		evento_ptr=evento_ptr->next;
	}	
	
	carro_ptr=lista_carros_ptr;
	while(carro_ptr !=NULL) {
		if ((carro_ptr->partida!=-1)&&(carro_ptr->chegada!=-1)) {
			if (lista_ord_ptr==NULL) {
				lista_ord_ptr=carro_ptr;
				carro_ptr=carro_ptr->next;
				lista_ord_ptr->next=NULL;
			}
			else {
				tempo = carro_ptr->chegada-carro_ptr->partida;
				tempo_ord=lista_ord_ptr->chegada-lista_ord_ptr->partida;
				if (tempo < tempo_ord) {
					carro_ord_ptr=lista_ord_ptr;
					lista_ord_ptr=carro_ptr;
					carro_ptr=carro_ptr->next;
					lista_ord_ptr->next=carro_ord_ptr;
				}
				else {
					carro_ord_ptr=lista_ord_ptr;
					while (carro_ord_ptr->next != NULL) {
						tempo_ord=(carro_ord_ptr->next)->chegada-(carro_ord_ptr->next)->partida;
						if (tempo<tempo_ord) {
							break;
						}
						carro_ord_ptr=carro_ord_ptr->next;
					}
					carro_aux_ptr=carro_ord_ptr->next;
                                        carro_ord_ptr->next=carro_ptr;
                                        carro_ptr=carro_ptr->next;
                                        carro_ord_ptr->next=carro_aux_ptr;
				}
			}
		}
	}

	carro_ord_ptr=lista_ord_ptr;
	counter=3;
	while((counter>0)&&(carro_ord_ptr!=NULL)) {
		printf("%d\n",carro_ord_ptr->id);
		counter--;		
		carro_ord_ptr=carro_ord_ptr->next;
	}

	return 0;
}

